image: ubuntu

stages:
  - build
  - test

before_script:
  - apt-get update
  - apt-get install curl -y
  - curl -fsSL https://raw.githubusercontent.com/arduino/arduino-cli/master/install.sh | sh
  - ./bin/arduino-cli core update-index
  - ./bin/arduino-cli core install arduino:avr
  - ./bin/arduino-cli lib install WiFi

job:build:
  stage: build
  script:
    - ./bin/arduino-cli compile --fqbn arduino:avr:uno build.ino
  only:
    - master

job:test:
  stage: test
  script: echo "tests not implemented yet"
  when: on_success
  only:
    - master